curl --request POST \
--url https://api-global.fastpaybrasil.com/v1/three-ds/challenge-result \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"authenticationId": "3ds_auth_123456"
}
'import requests
url = "https://api-global.fastpaybrasil.com/v1/three-ds/challenge-result"
payload = { "authenticationId": "3ds_auth_123456" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({authenticationId: '3ds_auth_123456'})
};
fetch('https://api-global.fastpaybrasil.com/v1/three-ds/challenge-result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "full",
"state": "success",
"cryptogram": "Vt5xwasruB0Q6qRoG9mpzdRPqQs=",
"directoryServerTransactionId": "607bb317-8d24-45a7-a3c0-7ae1fdca56d0",
"threeDsServerTransactionId": "59588a8b-955e-4aa8-bae1-338bbfdba8fa",
"acsTransactionId": "6bf18a7a-3a7b-488f-bce1-3da96c73e746",
"eci": "05",
"version": "2.2.0"
}{
"statusCode": 422,
"message": "SubMerchant is not active",
"error": "Unprocessable Entity"
}Get 3DS challenge result
Retrieves the final result of a 3DS challenge, including the cryptogram
and transaction IDs needed to complete the charge via POST /v1/charges
with the threeDS payment method field.
Authentication: Uses the merchant’s public/publishable key (pk_...).
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Body
3DS Authentication ID
"3ds_auth_123456"
Response
Challenge result retrieved successfully
Final result of a 3DS challenge, including data needed to complete the charge.
Type of 3DS authentication
"full"
Authentication state
success, failure, unenrolled, error, unsupported_brand, disabled "success"
CAVV / Authentication Value
"Vt5xwasruB0Q6qRoG9mpzdRPqQs="
Directory Server Transaction ID
"607bb317-8d24-45a7-a3c0-7ae1fdca56d0"
3DS Server Transaction ID
"59588a8b-955e-4aa8-bae1-338bbfdba8fa"
ACS Transaction ID
"6bf18a7a-3a7b-488f-bce1-3da96c73e746"
Electronic Commerce Indicator
"05"
3DS protocol version
"2.2.0"